summaryrefslogtreecommitdiffstats
path: root/tests/osmo-auc-gen
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-08-26 22:57:07 +0200
committerHarald Welte <laforge@gnumonks.org>2017-08-29 12:46:44 +0000
commit9ca7d3e400e6bfdb43169075187508a401d33e6d (patch)
treecdd8f04e5f20c2981b879c7789d2ae5cee8e3bb2 /tests/osmo-auc-gen
parent22bc45b8bfb8d0f2d8a46c6e945f3b4388fdced0 (diff)
cosmetic: test for osmo-auc-gen: print error for missing binary
Change-Id: I98c23ae6378a16cf3b76c90d4ea0dfcf61ff3033
Diffstat (limited to 'tests/osmo-auc-gen')
-rwxr-xr-xtests/osmo-auc-gen/osmo-auc-gen_test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/osmo-auc-gen/osmo-auc-gen_test.sh b/tests/osmo-auc-gen/osmo-auc-gen_test.sh
index 7842638a..132d9c39 100755
--- a/tests/osmo-auc-gen/osmo-auc-gen_test.sh
+++ b/tests/osmo-auc-gen/osmo-auc-gen_test.sh
@@ -1,6 +1,12 @@
#!/bin/sh
osmo_auc_gen="$1"
+if [ -z "$osmo_auc_gen" ]; then
+ echo 'Error: pass a path to the osmo-auc-gen binary as argument:'
+ echo ' ./osmo-auc-gen_test.sh /path/to/osmo-auc-gen'
+ exit 1
+fi
+
set -e
# run the osmo-auc-gen binary verbosely without showing its absolute path